> ## Name

> AddressWi - 3D API W texture addressing mode for unit i

> ## Usage

> AddressW[i] = int(mode)

> ## Valid Enumerants

> mode: Repeat, Wrap, Clamp, ClampToEdge, ClampToBorder, Border, MirroredRepeat, Mirror, MirrorClamp, MirrorClampToEdge, MirrorClampToBorder, MirrorOnce

> ## Description

> Sets the Direct3D w-direction wrapping mode for texture unit i, where i is in the range 0-15. See sampler state AddressW for details.

> The standard reset callback sets the AddressW[i] state to int(Wrap).

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> AddressW, AddressUi, AddressVi